package com.banesco.domain.bian.response;


import com.banesco.common.domain.dto.bian.response.BaseResponse;
import com.banesco.common.domain.dto.bian.response.StatusResponse;
import io.quarkus.runtime.annotations.RegisterForReflection;
import lombok.EqualsAndHashCode;


@RegisterForReflection
@EqualsAndHashCode(callSuper = false)
public class RecUpdateCardStatusResponse extends BaseResponse {

    public RecUpdateCardStatusResponse() {
        super();
    }

    public RecUpdateCardStatusResponse(StatusResponse statusResponse) {
        super(statusResponse);
    }

    @Override
    public String toString() {

        return "{\"statusResponse\":%s}".formatted(statusResponse.toString());
    }

}
